AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::ClientConnection Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Friends | List of all members
Aws::Eventstreamrpc::ClientConnection Class Referencefinal

`#include <EventStreamClient.h>`

## Public Member Functions
| ClientConnection (Crt::Allocator *allocator=Crt::g_allocator) noexcept
| ~ClientConnection () noexcept
| ClientConnection (const ClientConnection &) noexcept=delete
ClientConnection & | operator= (const ClientConnection &) noexcept=delete
| ClientConnection (ClientConnection &&) noexcept
ClientConnection & | operator= (ClientConnection &&) noexcept
std::future< RpcError > | Connect (const ConnectionConfig &connectionOptions, ConnectionLifecycleHandler *connectionLifecycleHandler, Crt::Io::ClientBootstrap &clientBootstrap) noexcept
std::future< RpcError > | SendPing (const Crt::List< EventStreamHeader > &headers, const Crt::Optional< Crt::ByteBuf > &payload, OnMessageFlushCallback onMessageFlushCallback) noexcept
std::future< RpcError > | SendPingResponse (const Crt::List< EventStreamHeader > &headers, const Crt::Optional< Crt::ByteBuf > &payload, OnMessageFlushCallback onMessageFlushCallback) noexcept
ClientContinuation | NewStream (ClientContinuationHandler &clientContinuationHandler) noexcept
void | Close () noexcept
bool | IsOpen () const noexcept
| operator bool () const noexcept

## Friends
class | ClientContinuation
std::future< RpcError > | ClientOperation::Close (OnMessageFlushCallback onMessageFlushCallback) noexcept

## Constructor & Destructor Documentation

## ◆ ClientConnection() [1/3]

Aws::Eventstreamrpc::ClientConnection::ClientConnection | ( | Crt::Allocator * | allocator = `Crt::g_allocator` | ) |
| noexcept

## ◆ ~ClientConnection()

Aws::Eventstreamrpc::ClientConnection::~ClientConnection | ( |  | ) |
| noexcept

## ◆ ClientConnection() [2/3]

Aws::Eventstreamrpc::ClientConnection::ClientConnection | ( | const ClientConnection & |  | ) |
| deletenoexcept

## ◆ ClientConnection() [3/3]

Aws::Eventstreamrpc::ClientConnection::ClientConnection | ( | ClientConnection && | rhs | ) |
| noexcept

## Member Function Documentation

## ◆ Close()

void Aws::Eventstreamrpc::ClientConnection::Close | ( |  | ) |
| noexcept

## ◆ Connect()

std::future< RpcError > Aws::Eventstreamrpc::ClientConnection::Connect | ( | const ConnectionConfig & | connectionOptions,
|  | ConnectionLifecycleHandler * | connectionLifecycleHandler,
|  | Crt::Io::ClientBootstrap & | clientBootstrap
| ) |  |
| noexcept

## ◆ IsOpen()

bool Aws::Eventstreamrpc::ClientConnection::IsOpen | ( |  | ) | const
| inlinenoexcept

## ◆ NewStream()

ClientContinuation Aws::Eventstreamrpc::ClientConnection::NewStream | ( | ClientContinuationHandler & | clientContinuationHandler | ) |
| noexcept

## ◆ operator bool()

Aws::Eventstreamrpc::ClientConnection::operator bool | ( |  | ) | const
| inlinenoexcept

Returns
  true if the instance is in a valid state, false otherwise.

## ◆ operator=() [1/2]

ClientConnection & Aws::Eventstreamrpc::ClientConnection::operator= | ( | ClientConnection && | rhs | ) |
| noexcept

## ◆ operator=() [2/2]

ClientConnection & Aws::Eventstreamrpc::ClientConnection::operator= | ( | const ClientConnection & |  | ) |
| deletenoexcept

## ◆ SendPing()

std::future< RpcError > Aws::Eventstreamrpc::ClientConnection::SendPing | ( | const Crt::List< EventStreamHeader > & | headers,
|  | const Crt::Optional< Crt::ByteBuf > & | payload,
|  | OnMessageFlushCallback | onMessageFlushCallback
| ) |  |
| noexcept

## ◆ SendPingResponse()

std::future< RpcError > Aws::Eventstreamrpc::ClientConnection::SendPingResponse | ( | const Crt::List< EventStreamHeader > & | headers,
|  | const Crt::Optional< Crt::ByteBuf > & | payload,
|  | OnMessageFlushCallback | onMessageFlushCallback
| ) |  |
| noexcept

## Friends And Related Function Documentation

## ◆ ClientContinuation

friend class ClientContinuation
| friend

## ◆ ClientOperation::Close

std::future< RpcError > ClientOperation::Close | ( | OnMessageFlushCallback | onMessageFlushCallback | ) |
| friend

The documentation for this class was generated from the following files:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h
- eventstream_rpc/source/EventStreamClient.cpp